sys=tf([1 0],[1 2 1]);
sysd=c2d(sys,.1);
[A,B,C,D]=ssdata(ss(sysd));
L=place(A',C',[.5 .7])';
eig(A-L*C)

x=[-1;1];
xhat=[0;0];

XX=x;
XXhat=xhat;
T=40;

UU=.1*ones(1,T);

for k=0:T-1,
   u=UU(k+1);
   y=C*x+D*u;
   yhat=C*xhat+D*u;
   
   x=A*x+B*u;
   xhat=A*xhat+B*u+L*(y-yhat);
   
   XX=[XX,x];
   XXhat=[XXhat,xhat];
end

%subplot(211)
%plot(0:T,[XX(1,:)-XXhat(1,:)]);
%grid
%title('x_1-\hat x_1')


subplot(211)
plot(0:T,[XX(1,:);XXhat(1,:)]);
grid
title('x_1')

%subplot(212)
%plot(0:T,[XX(2,:);XXhat(2,:)]);
%grid
%title('x_2')
